<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='u'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:acceso_denegado.php');
		}



$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
$nomb = $row["usu"];
$cod= $row["codusu"];

$hoy=date("Y-m-d");
		
$numrec=$_GET["numrec"];
 $total_recibo=$_GET["montot"];
 $codmov=$_GET["codmov"];

	//////////////////////////////////////////////////////////  Modifica la el saldo en la 2101  CXC //////////////////////////////////////////

$sel_lineas="SELECT * FROM pagos_clientes_recibos_lineas WHERE numrec='$numrec' ORDER BY numlinea ASC";
if ($resultado = $mysqli->query($sel_lineas)) 

    while ($fila = $resultado->fetch_assoc()) {

	    $cdgcli   = $fila["cdgcli"];
        $numfac   = $fila["numfac"];
	 	$monabo   = $fila["monabo"];

	    $sel_saldoactual="SELECT  SALACT, DSCCLI, FECFAC  FROM web_2101 WHERE numfac = '$numfac' AND cdgcli = $cdgcli  ";
		$resultado2 = $mysqli->query($sel_saldoactual);
		$fila2 = $resultado2->fetch_array();

		$total  = $fila2["SALACT"];
		$dsccli = $fila2["DSCCLI"];
		$fecfac = $fila2["FECFAC"];
			
		$nuevosaldo = $total +  $monabo ;
  
	  $sel_anulacion="UPDATE web_2101 SET salact='$nuevosaldo' WHERE numfac='$numfac' AND cdgcli = $cdgcli ";
	  $mysqli->query($sel_anulacion);
	

}	


		/////////////////////////////////////////////////////////// Modifica el saldo en la  0301 clientes ///////////////////////////////////////////

	    $sel_Saldo="SELECT  Sum(SALACT) AS totalfac FROM web_2101 WHERE cdgcli = $cdgcli";
		$resultado3 = $mysqli->query($sel_Saldo);
		$fila3 = $resultado3->fetch_array();

		$suma = $fila3["totalfac"];

	   $sel_abono="UPDATE web_0301 SET salact='$suma' WHERE cdgcli = $cdgcli";
       $mysqli->query($sel_abono);
	   
	   	  		
	$query="UPDATE pagos_clientes SET estrec='0', montot='0', monint='0', monabo='0', nomusu='$nomb',  fecmod='$hoy' WHERE numrec='$numrec'";
	$mysqli->query($query);


	$query="UPDATE pagos_clientes_recibos_lineas SET borrado='1' WHERE numrec='$numrec'";
	$mysqli->query($query);

	
	
	
	if ($codmov > 0 ) {        ////////////     si paga con un recibo de pago adelantado ////////////////////////////////////////////
 
 
 		//////////////////////////////////////////////////////////  Modifica la el saldo en la movimientos caja ///////////////////////////////

		$sel_recibo= "SELECT * FROM movimientos_caja WHERE codmov = $codmov and codigo = $cdgcli  ";
		$rs_total = $mysqli->query($sel_recibo);
		$fila3 = $rs_total->fetch_array();

        $salact  = $fila3["salact"];

			
		$nuevosaldo = $salact +  $total_recibo ;
  
	  	$sel_anulacion="UPDATE  movimientos_caja  SET salact='$nuevosaldo' , numrec='$numrec' WHERE codmov = $codmov  and codigo = $cdgcli  ";
		$mysqli->query($sel_anulacion);
			
			
	
		/////////////////////////////////////////////////////////// Modifica el saldo en la  0301 clientes //////////////////////////////////
				
	$consulta = "SELECT SUM(salact) AS saldo FROM movimientos_caja  WHERE codigo='$cdgcli' AND salact > 0  AND tipmov = 'REC' ";
    $resultado = $mysqli->query($consulta);
    $row = $resultado->fetch_array();
    $salact = $row["saldo"];


	$nuevo_saldo="UPDATE web_0301 SET  salfav='$salact'  WHERE cdgcli='$cdgcli'";
	$mysqli->query($nuevo_saldo);



}

	
	
					

			
	?>
<html>
	<head>
		<title>Factura Nula</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
	
	    function cancelar() {
			location.href="index.php";
		}
		
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}



		</script>








</head>
	<body onLoad="nobackbutton();">
		<div id="">
			<div id="zonaContenido">
         	<div class="contenidoFactura">
			   <div align="center">
				<div id="tituloForm" class="header">
              Recibo Anulado Exitosamente 
			   </div>
			    <br> </br>
				<table width="100%" border="0">
  <tr>
    <td colspan="4">&nbsp;</td>
    </tr>
</table>

				
			    
			  </div>
				<div id="botonBusquedaAWR">					
				
				<div id="" align="center">
					<img src="../img/Symbol-Check_128x128-32.png" width="128" height="128" onClick="cancelar()" border="0" onMouseOver="style.cursor=cursor" title="Salir">
			
			  </div>
				    
			   </div>
			  </div>
		  </div>
		</div>
	</body>
</html>


					